/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.asgteach.bpcloud.views;

import com.asgteach.bpcloud.BPCloud;
import com.asgteach.bpcloud.model.BPData;
import com.gluonhq.charm.glisten.control.Avatar;
import com.gluonhq.charm.glisten.control.CharmListCell;
import com.gluonhq.charm.glisten.control.ListTile;
import java.time.format.DateTimeFormatter;
import javafx.scene.image.Image;

/**
 *
 * @author gail
 */
public class BPHeaderCell extends CharmListCell<BPData> {

    private final ListTile listTile = new ListTile();

    BPHeaderCell() {
        Avatar avatar = new Avatar(16, new Image(BPCloud.class.getResourceAsStream("/icon.png")));
        listTile.setPrimaryGraphic(avatar);
        setText(null);
    }

    @Override
    public void updateItem(BPData item, boolean empty) {
        super.updateItem(item, empty);
        if (item != null && !empty) {
            listTile.textProperty().setAll(item.getDate().format(
                    DateTimeFormatter.ofPattern("MMM    uuuu")));
            setGraphic(listTile);
        } else {
            setGraphic(null);
        }
    }

}
